<div class="row">
    <div class="col-md-12">
        <button *ngIf="" data-toggle="modal" data-target="#addNewDepartment" type="button"
            class="btn btn-sm btn-custom mb-3" data-backdrop="static" data-keyboard="false"
            (click)="createNewDepartmentForm()">New Department</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Sr. No</th>
                        <th>Department</th>
                        <th>Added by</th>
                        <th>Added On</th>
                        <th *ngIf="">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let dept of departments | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td>{{dept.dept_id}}</td>
                        <td>{{dept.dept_name}}</td>
                        <td>{{dept.created_by}}</td>
                        <td>{{dept.created_on}}</td>
                        <td *ngIf="">
                            <!--<span><a [routerLink]="" data-toggle="modal" data-target="#viewDepartment"
                                    (click)="viewDepartment(dept)"><i class="fa fa-eye mr-2"
                                        aria-hidden="true"></i></a></span>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewDepartment" (click)="editDepartment(dept)"><i class="fa fa-edit mr-2" aria-hidden="true"></i></a></span>
                            <span>
                                <a mwlConfirmationPopover
                                [popoverTitle]="popoverTitle"
                                [popoverMessage]="popoverMessage"
                                placement="bottom"
                                (confirm)="deleteDepartment(dept.dept_id)"
                                (cancel)="cancelClicked = true"><i class="fa fa-trash text-danger mr-2" aria-hidden="true"></i>
                                </a>
                            </span>-->
                        </td>
                    </tr>
                    <tr *ngIf="departments==''">
                        <td colspan="5" class="text-center">No Record Founds</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="departments!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Department Form Modal------------------------>
<div id="addNewDepartment" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Department</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditDepartment()" [formGroup]="NewDepartmentForm">
                    <div class="form-group row">
                        <div class="col-sm-12 mb-3">
                            <label>Department Name:</label>
                            <input formControlName="dept_name" type="text" class="form-control form-control-user"
                                id="dept_name">
                            <div *ngIf="submitted && formControls.dept_name.errors" class="errors">
                                <div *ngIf="formControls.dept_name.errors.required">Department Name Title is required
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12 mb-3">
                            <label>Description:</label>
                            <textarea formControlName="description" class="form-control form-control-user"
                                id="description"></textarea>
                            <div *ngIf="submitted && formControls.description.errors" class="errors">
                                <div *ngIf="formControls.description.errors.required">Description required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                        </div>
                        <div class="col-sm-4 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>

<!-----------View Department Modal------------------------>
<div id="viewDepartment" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" *ngIf="selected_department!=''">{{selected_department.dept_name}}</h6>
                <button #closeBtn2 type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row" *ngIf="selected_department.description">
                    <p>Description</p>
                    <div class="col-md-12 description">
                        {{selected_department.description}}
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-3">
                        <p>Added By:</p>
                    </div>
                    <div class="col-md-9">
                        {{selected_department.created_by}}
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        <p>Added On</p>
                    </div>
                    <div class="col-md-9">
                        {{selected_department.created_on}}
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>